'use strict';

const Controller = require('egg').Controller;

class ResourceController extends Controller {
  async create() {
    const { ctx } = this;
    const res = await ctx.service.resource.create(ctx.request.body);
    ctx.body = res;
  }
  async update() {
    const { ctx } = this;
    const res = await ctx.service.resource.update(ctx.request.body);
    ctx.body = res;
  }
  async del() {
    const { ctx } = this;
    const res = await ctx.service.resource.del(ctx.params);
    ctx.body = res;
  }
  async query() {
    const { ctx } = this;
    const res = await ctx.service.resource.query(ctx.query);
    ctx.body = res;
  }
}

module.exports = ResourceController;
