'use strict';
module.exports = [
  {
    title: '站点配置',
    path: '/wokes/webconfig',
    id: '2-3',
    icons: 'el-icon-user-solid',
    parentId: '2',
    module: '@wokes',
  },
  {
    title: '内容管理',
    path: '3',
    id: '3',
    icons: 'el-icon-user-solid',
    parentId: '',
    module: '@wokes',
  },
  {
    title: '菜单管理',
    path: '/wokes/menu',
    id: '3-1',
    icons: 'el-icon-user-solid',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '栏目管理',
    path: '/wokes/column',
    id: '3-2',
    icons: 'el-icon-user-solid',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '文章管理',
    path: '/wokes/content',
    id: '3-3',
    icons: 'el-icon-user-solid',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '单页管理',
    path: '/wokes/pages',
    id: '3-4',
    icons: 'el-icon-user-solid',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '文件管理',
    path: '/wokes/files',
    id: '3-5',
    icons: 'el-icon-user-solid',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '资源管理',
    path: '/wokes/resource',
    id: '3-6',
    icons: 'el-icon-user-solid',
    parentId: '3',
    module: '@wokes',
  },
  {
    title: '系统管理',
    path: '1',
    id: '1',
    icons: 'el-icon-user-solid',
    parentId: '',
    module: '@gaf',
  },
  {
    title: '系统用户',
    path: '/gaf/user',
    id: '1-1',
    icons: 'el-icon-user-solid',
    parentId: '1',
    module: '@gaf',
  },
  {
    title: '系统角色',
    path: '/gaf/role',
    id: '1-2',
    icons: 'el-icon-user-solid',
    parentId: '1',
    module: '@gaf',
  },
  {
    title: '用户授权',
    path: '/gaf/userpower',
    id: '1-3',
    icons: 'el-icon-user-solid',
    parentId: '1',
    module: '@gaf',
  },
  {
    title: '角色授权',
    path: '/gaf/rolepower',
    id: '1-4',
    icons: 'el-icon-user-solid',
    parentId: '1',
    module: '@gaf',
  },
  {
    title: '日志审计',
    path: '/gaf/log',
    id: '1-5',
    icons: 'el-icon-user-solid',
    parentId: '1',
    module: '@gaf',
  },
  {
    title: '网站配置',
    path: '2',
    id: '2',
    icons: 'el-icon-user-solid',
    parentId: '',
    module: '@wokes',
  },
  {
    title: '轮播图配置',
    path: '/wokes/banner',
    id: '2-1',
    icons: 'el-icon-user-solid',
    parentId: '2',
    module: '@wokes',
  },
  {
    title: '友情链接配置',
    path: '/wokes/links',
    id: '2-2',
    icons: 'el-icon-user-solid',
    parentId: '2',
    module: '@wokes',
  },
];
